Skip to main content
GET
Get inbound SMS messages

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

limit
integer<int32>

Maximum number of messages to be returned in a response. If not set, the latest 50 records are returned. Maximum limit value is 1000 and you can only access messages for the last 48h.

applicationId
string

Application id that the message is linked to. For more details, see our documentation.

entityId
string

Entity id that the message is linked to. For more details, see our documentation.

campaignReferenceId
string

ID of a campaign that was sent in the message.

Response

successful response

results
SmsMoReport · object[]

An array of result objects.

messageCount
integer<int32>

The number of messages returned in the results array.

pendingMessageCount
integer<int32>

The number of messages that have not been pulled in.